summaryrefslogtreecommitdiffstats
path: root/bin/image-push
diff options
context:
space:
mode:
Diffstat (limited to 'bin/image-push')
-rwxr-xr-xbin/image-push15
1 files changed, 15 insertions, 0 deletions
diff --git a/bin/image-push b/bin/image-push
new file mode 100755
index 0000000..1eb6b56
--- /dev/null
+++ b/bin/image-push
@@ -0,0 +1,15 @@
+#!/usr/bin/env bash
+#
+# SPDX-License-Identifier: ISC
+# Copyright © 2022 siddharth <s@ricketyspace.net>
+
+REPO="public.ecr.aws/w3h8c8i8/peach"
+
+# Find the most recent tag.
+TAG=$(docker images "$REPO" --format "{{.Tag}}" | head -n 1)
+if [ -z "$TAG" ]; then
+ echo "No recent tags found"
+ exit 1
+fi
+
+docker push "$REPO":"$TAG"